Como instalar o java no linux mint 20.3 64

Olá friends, bom dia, paz e bem!

Preciso instalar o programa da receita federal para declaração de imposto de renda 2020. Ocorre que para esta solicitação obtive tal mensagem:

Ao clicar em ok, fui direcionado ao site: https://www.java.com/pt-BR/download/ … selecionei na opção Linux X64.
Baixei o arquivo :
image
Como fazer para executá-lo?
Apesar de haver tópicos parecidos, não consegui efetuar a instalação.
No aguardo e muito obrigado.

1 curtida

Recomendo vc instalar o Java a partir dos repositórios da distro.
Tente: sudo apt install default-jre

3 curtidas

Ao realizar o comando, tive o seguinte retorno:

[email protected]:~$ sudo apt install default-jre
[sudo] senha para gigiogabjpmtlm:                 
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
default-jre já é a versão mais recente (2:1.11-72).
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  linux-headers-5.4.0-105 linux-headers-5.4.0-105-generic
  linux-headers-5.4.0-107 linux-headers-5.4.0-107-generic
  linux-headers-5.4.0-109 linux-headers-5.4.0-109-generic
  linux-image-5.4.0-105-generic linux-image-5.4.0-107-generic
  linux-image-5.4.0-109-generic linux-modules-5.4.0-105-generic
  linux-modules-5.4.0-107-generic linux-modules-5.4.0-109-generic
  linux-modules-extra-5.4.0-105-generic linux-modules-extra-5.4.0-107-generic
  linux-modules-extra-5.4.0-109-generic
Utilize 'sudo apt autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
N: A ignorar o ficheiro 'additional-repositories.list.save.1' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro
N: A ignorar o ficheiro 'additional-repositories.list.save.2' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro
N: A ignorar o ficheiro 'additional-repositories.listsudo apt update' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro

Na tentativa de instalar o programa da receita 2020, ainda tenha a mensagem:


O que fazer agora?

Se isto servir de ajuda … ao consultar versão do java …

[email protected]:~$ java -version
openjdk version "11.0.15" 2022-04-19
OpenJDK Runtime Environment (build 11.0.15+10-Ubuntu-0ubuntu0.20.04.1)
OpenJDK 64-Bit Server VM (build 11.0.15+10-Ubuntu-0ubuntu0.20.04.1, mixed mode, sharing)

Pelo o que eu pesquisei o IRPF só funciona com o Java da Oracle. No teu caso vai ser necessário remover o openjdk que está instalado e e instalar o da Oracle. Aqui no fórum tem vários tópicos a respeito da instalação do IRPF no linux.

Dê uma ollhada nestes:

Caso nenhum funcionar vale a pena tentar usar a versão flatpak: IRPF 2022 | Flathub

3 curtidas

Olá friend, obrigado por responder.
Se houver possibilidade, há como vc me enviar o caminho para remover o openjdk e instalar o Java da Oracle.
Verifiquei o tutorial que foi indicado. Ocorre que sou iniciante e estou passando um período de muita de ansiedade.
É apenas um pedido, se puder fazer esta gentileza, serei mais agradecido ainda do que já sou.
E muito obrigado por tudo até então.

1 curtida

Sugiro instalar em Flatpak. Fiz aqui, ele não pediu nada, instalei, cliquei e abriu

5 curtidas

Vou fazer a tentativa.
Mas para o IRPF exercício 2022 e IRPF exercício 2021, não tive problemas. Só tive que marcar na aba permissão, executar este arquivo como programa.
O que não consegui até então, é para o IRPF 2020, tenho que fazer uma retificação.
De qualquer muito obrigado e depois dou um retorno aqui.
Vlw :+1: :smiley:

2 curtidas

Nope, aqui meu pai tem a versão em Java e roda com o OpenJDK11. Talvez instalar o JDK e não apenas o JRE. sudo apt install default-jdk

Nobre, fiz como vc falou. Infelizmente não deu certo.
Consultei a versão do Java e tive este retorno:

[email protected]:~$ java -version
openjdk version "11.0.15" 2022-04-19
OpenJDK Runtime Environment (build 11.0.15+10-Ubuntu-0ubuntu0.20.04.1)
OpenJDK 64-Bit Server VM (build 11.0.15+10-Ubuntu-0ubuntu0.20.04.1, mixed mode, sharing)

https://www.java.com/pt-BR/download/help/linux_uninstall.html

tenta esse link, e vai seguindo o passo a passo.

Este desinstala o OpenJDK?

[email protected]:~$ java -version
openjdk version "11.0.15" 2022-04-19
OpenJDK Runtime Environment (build 11.0.15+10-Ubuntu-0ubuntu0.20.04.1)
OpenJDK 64-Bit Server VM (build 11.0.15+10-Ubuntu-0ubuntu0.20.04.1, mixed mode, sharing)

Realmente preciso da ajuda de vcs … tô mais perdido do que cego em tiroreio … :smile:

Para desinstalar o openjdk tente: sudo apt remove default-jdk --autoremove

sudo apt remove default-jdk --autoremove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
O pacote 'default-jdk' não está instalado, por isso não será removido
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
N: A ignorar o ficheiro 'additional-repositories.list.save.1' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro
N: A ignorar o ficheiro 'additional-repositories.list.save.2' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro
N: A ignorar o ficheiro 'additional-repositories.listsudo apt update' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro

Edit: Andei pesquisando na internet um tutorial de como usar o java da oracle e encontrei esse.

Fiz um teste no linux mint em vm e deu certo:

Atente de que quando chegar na parte para executar o comando nano /etc/profile utilize ele com sudo.

Obs: Não será necessário mais remover o openjdk instalado no sistema. Basta seguir esse tutorial e funcionará.

1 curtida

Você pode utilizar o synaptic para instalá-lo, basta abrir o programa, ir na barra de pesquisa e procurar por “jre” e escolher a versão desejada.

Também é possível utilizar o IRPF na versão multiplataforma, basta extrair o arquivo .zip e dar permissão de execução ao arquivo irpf.jar com chmod +x irpf.jar ou via GUI (propriedades>>permissões>>permitir executar como um programa…)

OBS: Não é necessário o JDK (Java Development Kit), visto que, este pacote é destinado a desenvolvedores Java, no seu caso, o JRE (Java Runtime Environment, ou seja, possui apenas o ambiente de execução e não o de desenvolvimento) já serve. Porém, se você já tiver o JDK instalado, não precisa removê-lo, pois ele vem com o JRE embutido.

Espero que tenha ajudado :smiley:

2 curtidas